<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.train.myManagement.dao.TTrainCourseLearnStatisticsDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.train.myManagement.model.domain.TTrainCourseLearnStatistics">
        <id column="id" property="id"/>
        <id column="task_id" property="taskId"/>
        <id column="course_id" property="courseId"/>
        <id column="course_plan" property="coursePlan"/>
        <id column="section_id" property="sectionId"/>
        <id column="section_plan" property="sectionPlan"/>
        <id column="small_node_id" property="smallNodeId"/>
        <id column="small_plan" property="smallPlan"/>
        <id column="person_id" property="personId"/>
        <id column="process_id" property="processId"/>
        <id column="parent_id" property="parentId"/>
        <id column="process_status" property="processStatus"/>
        <id column="tenant_id" property="tenantId"/>
    </resultMap>
</mapper>